Workflow Last Run
The workflow last run resource.
Basehttps://rest.carbon.ms/workflowLastRun
GET
/workflowLastRunList workflow last runs
Retrieve a paginated list of workflow last runs. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
GEThttps://rest.carbon.ms/workflowLastRun
curl --request GET \
--url 'https://rest.carbon.ms/workflowLastRun?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'Response
[
{
"companyId": "xyz789",
"runId": "xyz789",
"workflowId": "xyz789",
"status": "string",
"statusReason": "string",
"createdAt": "2026-01-01T00:00:00Z",
"startedAt": "2026-01-01T00:00:00Z",
"completedAt": "2026-01-01T00:00:00Z"
}
]GET
/workflowLastRunRetrieve a workflow last run
Fetch a single workflow last run by filtering on `companyId`.
Query parameters
companyIdstringMatch on the workflow last run's `companyId`, e.g. `eq.{id}`.
GEThttps://rest.carbon.ms/workflowLastRun
curl --request GET \
--url 'https://rest.carbon.ms/workflowLastRun?companyId=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'Response
{
"companyId": "xyz789",
"runId": "xyz789",
"workflowId": "xyz789",
"status": "string",
"statusReason": "string",
"createdAt": "2026-01-01T00:00:00Z",
"startedAt": "2026-01-01T00:00:00Z",
"completedAt": "2026-01-01T00:00:00Z"
}